--[[
	##AddOn	: CooldownIcons R(evamped)
	##Subfile 	: range.lua
	##Author  : Hati ( xhatix on wowace.com )
--]]
local CIR = CooldownIconsR
local GetTime = _G.GetTime

local updater = CreateFrame("Frame","CIR_RangeUpdater")
updater:SetScript("OnUpdate", function(self,elapsed)
	if not CIR.updateFrequency then return end
	if not self.lastUpdate then
		self.lastUpdate = 0
	end
	self.lastUpdate = self.lastUpdate + elapsed
	while (self.lastUpdate >= CIR.updateFrequency) do
		for k,v in ipairs(CIR.rangeCheck) do
			local icon,b = CIR.icons[v], nil
			if icon.type=='spell' then
				b=IsSpellInRange(icon.watch,"target")
			else
				b=IsItemInRange(icon.watch,"target")
			end
			if b==0 and not icon.forcedrange then
				icon.texture:SetVertexColor(unpack(CIR.db.char.gMisc.gRangeColor or {1,0,0,1}))
			elseif (b==1 or b==nil) and not icon.forcedrange then
				icon.texture:SetVertexColor(1,1,1,1)
			end
		end
		self.lastUpdate = self.lastUpdate - CIR.updateFrequency
	end
end)

